'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var useWindowFocus = function useWindowFocus() {
  var _useState = react.useState(document.hasFocus()),
      focused = _useState[0],
      setFocused = _useState[1];

  react.useEffect(function () {
    var onFocus = function onFocus() {
      setFocused(true);
    };

    var onBlur = function onBlur() {
      setFocused(false);
    };

    window.addEventListener('focus', onFocus);
    window.addEventListener('blur', onBlur);
    return function () {
      window.removeEventListener('focus', onFocus);
      window.removeEventListener('blur', onBlur);
    };
  }, []);
  return focused;
};

exports.default = useWindowFocus;
//# sourceMappingURL=use-window-focus.cjs.development.js.map
